Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.callbacks
Class WalletCallback

`java.lang.Object
oracle.rules.sdk.callbacks.WalletCallback`

All Implemented Interfaces:
  SensitiveDataCallback

public class WalletCallback
extends java.lang.Object
implements SensitiveDataCallback

Retrieve data from an Oracle Wallet.

Constructor Summary
`WalletCallback(java.lang.String path, char[] password)` Construct a callback for the wallet located at the specified path and protected by the specified password.

Method Summary
`char[]` | `getValue(java.lang.String key)` Gets a senstive data value associated with the specified key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WalletCallback

    public WalletCallback(java.lang.String path,
                          char[] password)
                   throws java.io.IOException,
                          java.security.GeneralSecurityException

  Construct a callback for the wallet located at the specified path and protected by the specified password.
Parameters:
  `path` - Path to the directory containing the wallet.
  `password` - The wallet password.
Throws:
  `java.io.IOException` - if there is an error accessing the wallet
  `java.security.GeneralSecurityException` - if there is an error accessing the wallet

Method Detail

### getValue

    public char[] getValue(java.lang.String key)
                    throws java.security.GeneralSecurityException

  Gets a senstive data value associated with the specified key.
  Specified by:
    `getValue` in interface `SensitiveDataCallback`
  Parameters:
    `key` - The key for retrieving the data.
  Returns:
    the data value
  Throws:
    `java.security.GeneralSecurityException` - if there is an error retrieving the data

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.